--------------------------------------------------------------------------------
-- Copyright (c) 2001-2002 Rational Software Corporation. All rights reserved.--
--                                                                            --
--                Product: Rational(R) Test RealTime                          --
--                                                                            --
--      Product Component: All                                                --
--                                                                            --
--               Language: Ada                                                --
--                                                                            --
--        Product version: 2002.05.03                                         --
--                                                                            --
-- Target Deployment Port: adagnat                                            --
--                         Ada95 Gnat                                         --
--                                                                            --
--                   File: ada-interrupts.ads                                 --
--                         Ada95 package: Ada.Interrupts                      --
--                                                                            --
-- Rational, the Rational logo are registered trademarks of                   --
-- Rational Software Corporation.                                             --
--                                                                            --
-- The placing of the copyright notices on Rational source code is not        --
-- intended to mean that they are published works, but are included in the    --
-- event of inadvertent publication. The source code of Rational contains     --
-- trade secrets and other valuable confidential information of Rational      --
-- Software Corporation. Rational Software Corporation and its licensors      --
-- retain ownership to Rational Products in both source and object code       --
-- format, and related documentation and all rights therein including         --
-- copyrights, patents and trade secrets.                                     --
--                                                                            --
--                                                                            --
-- U.S. Government Rights                                                     --
--                                                                            --
-- Use, duplication, or disclosure by the U.S. Government is subject to       --
-- restrictions set forth in the applicable Rational License Agreement        --
-- and in DFARS 227.7202-1(a) and 227.7202-3(a) (1995), DFARS                 --
-- 252.227-7013(c)(1)(ii)(Oct 1988), FAR 12.212(a) 1995, FAR 52.227-19,       --
-- or FAR 52.227-14, as applicable.                                           --
--                                                                            --
-- Unless otherwise agreed to in writing, use of Rational products is         --
-- governed by the Rational Product License Agreement provided with           --
-- the product.                                                               --
--------------------------------------------------------------------------------

--------------------------------------------------------------------------
-- $Revision: 1.3 $
-- $Descr: Ada95 package: Ada.Interrupts$
--------------------------------------------------------------------------
--
-- Ada95 Source Definition,
-- From LRM Ada95 C.3.2 - The Package Ada.Interrupts
-- Modified to handle Implementation Dependent Definitions
--
--------------------------------------------------------------------------
with RTRT_Imp95 ;

with System;
package Ada.Interrupts is

    type Interrupt_ID is private;

    type Parameterless_Handler is
             access protected procedure;


     function Is_Reserved (Interrupt : Interrupt_ID)
             return Boolean;

     function Is_Attached (Interrupt : Interrupt_ID)
             return Boolean;

     function Current_Handler (Interrupt : Interrupt_ID)
             return Parameterless_Handler;

     procedure Attach_Handler
             (New_Handler : in Parameterless_Handler;
              Interrupt   : in Interrupt_ID);

     procedure Exchange_Handler
             (Old_Handler : out Parameterless_Handler;
              New_Handler : in Parameterless_Handler;
              Interrupt   : in Interrupt_ID);

     procedure Detach_Handler
             (Interrupt : in Interrupt_ID);

     function Reference(Interrupt : Interrupt_ID)
             return System.Address;

private
     -- not specified by the language
    type Interrupt_ID is new RTRT_Imp95.t_Ada_Interrupts_Interrups_ID ;
end Ada.Interrupts;
--
--------------------------------------------------------------------------
