--------------------------------------------------------------------------------
-- Copyright (c) 2001-2002 Rational Software Corporation. All rights reserved.--
--                                                                            --
--                Product: Rational(R) Test RealTime                          --
--                                                                            --
--      Product Component: All                                                --
--                                                                            --
--               Language: Ada                                                --
--                                                                            --
--        Product version: 2002.05.03                                         --
--                                                                            --
-- Target Deployment Port: adagnat                                            --
--                         Ada95 Gnat                                         --
--                                                                            --
--                   File: ada-numerics-elementary_functions.ads              --
--                         Ada95 package: Ada.Numerics.Elementary_Functions   --
--                                                                            --
-- Rational, the Rational logo are registered trademarks of                   --
-- Rational Software Corporation.                                             --
--                                                                            --
-- The placing of the copyright notices on Rational source code is not        --
-- intended to mean that they are published works, but are included in the    --
-- event of inadvertent publication. The source code of Rational contains     --
-- trade secrets and other valuable confidential information of Rational      --
-- Software Corporation. Rational Software Corporation and its licensors      --
-- retain ownership to Rational Products in both source and object code       --
-- format, and related documentation and all rights therein including         --
-- copyrights, patents and trade secrets.                                     --
--                                                                            --
--                                                                            --
-- U.S. Government Rights                                                     --
--                                                                            --
-- Use, duplication, or disclosure by the U.S. Government is subject to       --
-- restrictions set forth in the applicable Rational License Agreement        --
-- and in DFARS 227.7202-1(a) and 227.7202-3(a) (1995), DFARS                 --
-- 252.227-7013(c)(1)(ii)(Oct 1988), FAR 12.212(a) 1995, FAR 52.227-19,       --
-- or FAR 52.227-14, as applicable.                                           --
--                                                                            --
-- Unless otherwise agreed to in writing, use of Rational products is         --
-- governed by the Rational Product License Agreement provided with           --
-- the product.                                                               --
--------------------------------------------------------------------------------

--------------------------------------------------------------------------
-- $Revision: 1.2 $
-- $Descr: Ada95 package: Ada.Numerics.Elementary_Functions$
--------------------------------------------------------------------------
--
-- Ada95 Source Definition,
-- Adapted From LRM Ada95 A.5.1
--
--------------------------------------------------------------------------
package Ada.Numerics.Elementary_Functions is

   pragma Pure(Elementary_Functions);

   function Sqrt    (X           : Float)        return Float;
   function Log     (X           : Float)        return Float;
   function Log     (X, Base     : Float)        return Float;
   function Exp     (X           : Float)        return Float;
   function "**"    (Left, Right : Float)        return Float;

   function Sin     (X           : Float)        return Float;
   function Sin     (X, Cycle    : Float)        return Float;
   function Cos     (X           : Float)        return Float;
   function Cos     (X, Cycle    : Float)        return Float;
   function Tan     (X           : Float)        return Float;
   function Tan     (X, Cycle    : Float)        return Float;
   function Cot     (X           : Float)        return Float;
   function Cot     (X, Cycle    : Float)        return Float;

   function Arcsin  (X           : Float)        return Float;
   function Arcsin  (X, Cycle    : Float)        return Float;
   function Arccos  (X           : Float)        return Float;
   function Arccos  (X, Cycle    : Float)        return Float;
   function Arctan  (Y           : Float;
                     X           : Float := 1.0) return Float;
   function Arctan  (Y           : Float;
                     X           : Float := 1.0;
                     Cycle       : Float)        return Float;
   function Arccot  (X           : Float;
                     Y           : Float := 1.0) return Float;
   function Arccot  (X           : Float;
                     Y           : Float := 1.0;
                     Cycle       : Float)        return Float;

   function Sinh    (X           : Float)        return Float;
   function Cosh    (X           : Float)        return Float;
   function Tanh    (X           : Float)        return Float;
   function Coth    (X           : Float)        return Float;
   function Arcsinh (X           : Float)        return Float;
   function Arccosh (X           : Float)        return Float;
   function Arctanh (X           : Float)        return Float;
   function Arccoth (X           : Float)        return Float;

end Ada.Numerics.Elementary_Functions;
--
--------------------------------------------------------------------------
