--------------------------------------------------------------------------------
-- Copyright (c) 2001-2002 Rational Software Corporation. All rights reserved.--
--                                                                            --
--                Product: Rational(R) Test RealTime                          --
--                                                                            --
--      Product Component: All                                                --
--                                                                            --
--               Language: Ada                                                --
--                                                                            --
--        Product version: 2002.05.03                                         --
--                                                                            --
-- Target Deployment Port: adagnat                                            --
--                         Ada95 Gnat                                         --
--                                                                            --
--                   File: ada-streams.ads                                    --
--                         Ada95 package: Ada.Streams                         --
--                                                                            --
-- Rational, the Rational logo are registered trademarks of                   --
-- Rational Software Corporation.                                             --
--                                                                            --
-- The placing of the copyright notices on Rational source code is not        --
-- intended to mean that they are published works, but are included in the    --
-- event of inadvertent publication. The source code of Rational contains     --
-- trade secrets and other valuable confidential information of Rational      --
-- Software Corporation. Rational Software Corporation and its licensors      --
-- retain ownership to Rational Products in both source and object code       --
-- format, and related documentation and all rights therein including         --
-- copyrights, patents and trade secrets.                                     --
--                                                                            --
--                                                                            --
-- U.S. Government Rights                                                     --
--                                                                            --
-- Use, duplication, or disclosure by the U.S. Government is subject to       --
-- restrictions set forth in the applicable Rational License Agreement        --
-- and in DFARS 227.7202-1(a) and 227.7202-3(a) (1995), DFARS                 --
-- 252.227-7013(c)(1)(ii)(Oct 1988), FAR 12.212(a) 1995, FAR 52.227-19,       --
-- or FAR 52.227-14, as applicable.                                           --
--                                                                            --
-- Unless otherwise agreed to in writing, use of Rational products is         --
-- governed by the Rational Product License Agreement provided with           --
-- the product.                                                               --
--------------------------------------------------------------------------------

--------------------------------------------------------------------------
-- $Revision: 1.3 $
-- $Descr: Ada95 package: Ada.Streams$
--------------------------------------------------------------------------
--
-- Ada95 Source Definition,
-- From LRM Ada95 13.13.1 - The Package Streams
-- Modified to handle Implementation Dependent Definitions
--
--------------------------------------------------------------------------
with RTRT_Imp95 ;

package Ada.Streams is

   pragma Pure(Streams);

   type Root_Stream_Type is abstract tagged limited private;

   type Stream_Element is 
           mod RTRT_Imp95.c_Ada_Streams_Stream_Element_modulus ;

   type Stream_Element_Offset is range
           RTRT_Imp95.t_Ada_Streams_Stream_Element_Offset'first ..
           RTRT_Imp95.t_Ada_Streams_Stream_Element_Offset'last;
   subtype Stream_Element_Count is
               Stream_Element_Offset range 0..Stream_Element_Offset'Last;
   type Stream_Element_Array is
               array(Stream_Element_Offset range <>) of Stream_Element;

   procedure Read(
             Stream : in out Root_Stream_Type;
             Item   : out Stream_Element_Array;
             Last   : out Stream_Element_Offset) is abstract;

   procedure Write(
             Stream : in out Root_Stream_Type;
             Item   : in Stream_Element_Array) is abstract;

private

   -- not specified by the language
   -- RT-RT: defined directly Here
   Type Root_Stream_Type is abstract tagged limited null record ;

end Ada.Streams;
--
--------------------------------------------------------------------------
