--------------------------------------------------------------------------------
-- Copyright (c) 2001-2002 Rational Software Corporation. All rights reserved.--
--                                                                            --
--                Product: Rational(R) Test RealTime                          --
--                                                                            --
--      Product Component: All                                                --
--                                                                            --
--               Language: Ada                                                --
--                                                                            --
--        Product version: 2002.05.03                                         --
--                                                                            --
-- Target Deployment Port: adagnat                                            --
--                         Ada95 Gnat                                         --
--                                                                            --
--                   File: ada-strings-wide_maps-wide_constants.ads           --
--                         Ada95 package: Ada.Strings.Wide_Maps.Wide_Constants--
--                                                                            --
-- Rational, the Rational logo are registered trademarks of                   --
-- Rational Software Corporation.                                             --
--                                                                            --
-- The placing of the copyright notices on Rational source code is not        --
-- intended to mean that they are published works, but are included in the    --
-- event of inadvertent publication. The source code of Rational contains     --
-- trade secrets and other valuable confidential information of Rational      --
-- Software Corporation. Rational Software Corporation and its licensors      --
-- retain ownership to Rational Products in both source and object code       --
-- format, and related documentation and all rights therein including         --
-- copyrights, patents and trade secrets.                                     --
--                                                                            --
--                                                                            --
-- U.S. Government Rights                                                     --
--                                                                            --
-- Use, duplication, or disclosure by the U.S. Government is subject to       --
-- restrictions set forth in the applicable Rational License Agreement        --
-- and in DFARS 227.7202-1(a) and 227.7202-3(a) (1995), DFARS                 --
-- 252.227-7013(c)(1)(ii)(Oct 1988), FAR 12.212(a) 1995, FAR 52.227-19,       --
-- or FAR 52.227-14, as applicable.                                           --
--                                                                            --
-- Unless otherwise agreed to in writing, use of Rational products is         --
-- governed by the Rational Product License Agreement provided with           --
-- the product.                                                               --
--------------------------------------------------------------------------------

--------------------------------------------------------------------------
-- $Revision: 1.2 $
-- $Descr: Ada95 package: Ada.Strings.Wide_Maps.Wide_Constants$
--------------------------------------------------------------------------
--
-- Ada95 Source Definition,
-- From LRM Ada95 A.7 - Wide String Handling
-- Modified to handle Implementation Dependent Definitions
--
--------------------------------------------------------------------------
with RTRT_Imp95 ;

package Ada.Strings.Wide_Maps.Wide_Constants is

   pragma Preelaborate(Wide_Constants);

   Control_Set           : constant Wide_Character_Set;
   Graphic_Set           : constant Wide_Character_Set;
   Letter_Set            : constant Wide_Character_Set;
   Lower_Set             : constant Wide_Character_Set;
   Upper_Set             : constant Wide_Character_Set;
   Basic_Set             : constant Wide_Character_Set;
   Decimal_Digit_Set     : constant Wide_Character_Set;
   Hexadecimal_Digit_Set : constant Wide_Character_Set;
   Alphanumeric_Set      : constant Wide_Character_Set;
   Special_Set           : constant Wide_Character_Set;
   ISO_646_Set           : constant Wide_Character_Set;

   Character_Set         : constant Wide_Character_Set;

   Lower_Case_Map        : constant Wide_Character_Mapping;
   --Maps to lower case for letters, else identity
   Upper_Case_Map        : constant Wide_Character_Mapping;
   --Maps to upper case for letters, else identity
   Basic_Map             : constant Wide_Character_Mapping;
   --Maps to basic letter for letters, else identity

private

    -- not specified by the language
   Control_Set           : constant Wide_Character_Set
	                         := Wide_Character_Set(
      RTRT_Imp95.c_Ada_Strings_Wide_Maps_Wide_Constants_Control_Set) ;
   Graphic_Set           : constant Wide_Character_Set
	                         := Wide_Character_Set(
      RTRT_Imp95.c_Ada_Strings_Wide_Maps_Wide_Constants_Graphic_Set );
   Letter_Set            : constant Wide_Character_Set
	                         := Wide_Character_Set(
      RTRT_Imp95.c_Ada_Strings_Wide_Maps_Wide_Constants_Letter_Set );
   Lower_Set             : constant Wide_Character_Set
	                         := Wide_Character_Set(
      RTRT_Imp95.c_Ada_Strings_Wide_Maps_Wide_Constants_Lower_Set );
   Upper_Set             : constant Wide_Character_Set
	                         := Wide_Character_Set(
      RTRT_Imp95.c_Ada_Strings_Wide_Maps_Wide_Constants_Upper_Set );
   Basic_Set             : constant Wide_Character_Set
	                         := Wide_Character_Set(
      RTRT_Imp95.c_Ada_Strings_Wide_Maps_Wide_Constants_Basic_Set );
   Decimal_Digit_Set     : constant Wide_Character_Set
	                         := Wide_Character_Set(
      RTRT_Imp95.c_Ada_Strings_Wide_Maps_Wide_Constants_Decimal_Set );
   Hexadecimal_Digit_Set : constant Wide_Character_Set
	                         := Wide_Character_Set(
      RTRT_Imp95.c_Ada_Strings_Wide_Maps_Wide_Constants_Hexadecimal_Digit_Set );
   Alphanumeric_Set      : constant Wide_Character_Set
	                         := Wide_Character_Set(
      RTRT_Imp95.c_Ada_Strings_Wide_Maps_Wide_Constants_Alphanumeric_Set );
   Special_Set           : constant Wide_Character_Set
	                         := Wide_Character_Set(
      RTRT_Imp95.c_Ada_Strings_Wide_Maps_Wide_Constants_Special_Set );
   ISO_646_Set           : constant Wide_Character_Set
	                         := Wide_Character_Set(
      RTRT_Imp95.c_Ada_Strings_Wide_Maps_Wide_Constants_ISO_646_Set );

   Character_Set         : constant Wide_Character_Set
	                         := Wide_Character_Set(
      RTRT_Imp95.c_Ada_Strings_Wide_Maps_Wide_Constants_Character_Set );

   Lower_Case_Map        : constant Wide_Character_Mapping
	                         := Wide_Character_Mapping(
      RTRT_Imp95.c_Ada_Strings_Wide_Maps_Wide_Constants_Lower_Case_Map );
   Upper_Case_Map        : constant Wide_Character_Mapping
	                         := Wide_Character_Mapping(
      RTRT_Imp95.c_Ada_Strings_Wide_Maps_Wide_Constants_Upper_Case_Map );
   Basic_Map             : constant Wide_Character_Mapping
	                         := Wide_Character_Mapping(
      RTRT_Imp95.c_Ada_Strings_Wide_Maps_Wide_Constants_Basic_Map );


End Ada.Strings.Maps.Constants;
--
--------------------------------------------------------------------------
