--------------------------------------------------------------------------------
-- Copyright (c) 2001-2002 Rational Software Corporation. All rights reserved.--
--                                                                            --
--                Product: Rational(R) Test RealTime                          --
--                                                                            --
--      Product Component: All                                                --
--                                                                            --
--               Language: Ada                                                --
--                                                                            --
--        Product version: 2002.05.03                                         --
--                                                                            --
-- Target Deployment Port: adagnat                                            --
--                         Ada95 Gnat                                         --
--                                                                            --
--                   File: ada-wide_text_io-complex_io.ads                    --
--                         Ada95 package: Ada.Wide_Text_IO.Complex_IO         --
--                                                                            --
-- Rational, the Rational logo are registered trademarks of                   --
-- Rational Software Corporation.                                             --
--                                                                            --
-- The placing of the copyright notices on Rational source code is not        --
-- intended to mean that they are published works, but are included in the    --
-- event of inadvertent publication. The source code of Rational contains     --
-- trade secrets and other valuable confidential information of Rational      --
-- Software Corporation. Rational Software Corporation and its licensors      --
-- retain ownership to Rational Products in both source and object code       --
-- format, and related documentation and all rights therein including         --
-- copyrights, patents and trade secrets.                                     --
--                                                                            --
--                                                                            --
-- U.S. Government Rights                                                     --
--                                                                            --
-- Use, duplication, or disclosure by the U.S. Government is subject to       --
-- restrictions set forth in the applicable Rational License Agreement        --
-- and in DFARS 227.7202-1(a) and 227.7202-3(a) (1995), DFARS                 --
-- 252.227-7013(c)(1)(ii)(Oct 1988), FAR 12.212(a) 1995, FAR 52.227-19,       --
-- or FAR 52.227-14, as applicable.                                           --
--                                                                            --
-- Unless otherwise agreed to in writing, use of Rational products is         --
-- governed by the Rational Product License Agreement provided with           --
-- the product.                                                               --
--------------------------------------------------------------------------------

--------------------------------------------------------------------------
-- $Revision: 1.2 $
-- $Descr: Ada95 package: Ada.Wide_Text_IO.Complex_IO$
--------------------------------------------------------------------------
--
-- Ada95 Source Definition,
-- From LRM Ada95 G.1.3 - Complex Input-Output
--
--------------------------------------------------------------------------
with Ada.Numerics.Generic_Complex_Types;

generic

   with package Complex_Types is new Ada.Numerics.Generic_Complex_Types (<>);

package Ada.Wide_Text_IO.Complex_IO is

          use Complex_Types;

          Default_Fore : Field := 2;
          Default_Aft  : Field := Real'Digits - 1;
          Default_Exp  : Field := 3;

          procedure Get (File  : in  File_Type;
                         Item  : out Complex;
                         Width : in  Field := 0);
          procedure Get (Item  : out Complex;
                         Width : in  Field := 0);

          procedure Put (File : in File_Type;
                         Item : in Complex;
                         Fore : in Field := Default_Fore;
                         Aft  : in Field := Default_Aft;
                         Exp  : in Field := Default_Exp);
          procedure Put (Item : in Complex;
                         Fore : in Field := Default_Fore;
                         Aft  : in Field := Default_Aft;
                         Exp  : in Field := Default_Exp);

          procedure Get (From : in  String;
                         Item : out Complex;
                         Last : out Positive);
          procedure Put (To   : out String;
                         Item : in  Complex;
                         Aft  : in  Field := Default_Aft;
                         Exp  : in  Field := Default_Exp);

end Ada.Wide_Text_IO.Complex_IO;
--
--------------------------------------------------------------------------
