--------------------------------------------------------------------------------
-- Copyright (c) 2001-2002 Rational Software Corporation. All rights reserved.--
--                                                                            --
--                Product: Rational(R) Test RealTime                          --
--                                                                            --
--      Product Component: All                                                --
--                                                                            --
--               Language: Ada                                                --
--                                                                            --
--        Product version: 2002.05.03                                         --
--                                                                            --
-- Target Deployment Port: adagnat                                            --
--                         Ada95 Gnat                                         --
--                                                                            --
--                   File: interfaces-c-strings.ads                           --
--                         Ada95 package: Interfaces.C.Strings                --
--                                                                            --
-- Rational, the Rational logo are registered trademarks of                   --
-- Rational Software Corporation.                                             --
--                                                                            --
-- The placing of the copyright notices on Rational source code is not        --
-- intended to mean that they are published works, but are included in the    --
-- event of inadvertent publication. The source code of Rational contains     --
-- trade secrets and other valuable confidential information of Rational      --
-- Software Corporation. Rational Software Corporation and its licensors      --
-- retain ownership to Rational Products in both source and object code       --
-- format, and related documentation and all rights therein including         --
-- copyrights, patents and trade secrets.                                     --
--                                                                            --
--                                                                            --
-- U.S. Government Rights                                                     --
--                                                                            --
-- Use, duplication, or disclosure by the U.S. Government is subject to       --
-- restrictions set forth in the applicable Rational License Agreement        --
-- and in DFARS 227.7202-1(a) and 227.7202-3(a) (1995), DFARS                 --
-- 252.227-7013(c)(1)(ii)(Oct 1988), FAR 12.212(a) 1995, FAR 52.227-19,       --
-- or FAR 52.227-14, as applicable.                                           --
--                                                                            --
-- Unless otherwise agreed to in writing, use of Rational products is         --
-- governed by the Rational Product License Agreement provided with           --
-- the product.                                                               --
--------------------------------------------------------------------------------

--------------------------------------------------------------------------
-- $Revision: 1.2 $
-- $Descr: Ada95 package: Interfaces.C.Strings$
--------------------------------------------------------------------------
--
-- Ada95 Source Definition,
-- From LRM Ada95 B.3.1 - The Package Interfaces.C.Strings
-- Modified to handle Implementation Dependent Definitions
--
--------------------------------------------------------------------------
with RTRT_Imp95 ;

package Interfaces.C.Strings is

          pragma Preelaborate(Strings);

          type char_array_access is access all char_array;

          type chars_ptr is private;

          type chars_ptr_array is array (size_t range <>) of chars_ptr;

          Null_Ptr : constant chars_ptr;

          function To_Chars_Ptr (Item      : in char_array_access;
                                 Nul_Check : in Boolean := False)
             return chars_ptr;

          function New_Char_Array (Chars   : in char_array) return chars_ptr;

          function New_String (Str : in String) return chars_ptr;

          procedure Free (Item : in out chars_ptr);

          Dereference_Error : exception;

          function Value (Item : in chars_ptr) return char_array;

          function Value (Item : in chars_ptr; Length : in size_t)
             return char_array;

          function Value (Item : in chars_ptr) return String;

          function Value (Item : in chars_ptr; Length : in size_t)
             return String;

          function Strlen (Item : in chars_ptr) return size_t;

          procedure Update (Item   : in chars_ptr;
                            Offset : in size_t;
                            Chars  : in char_array;
                            Check  : in Boolean := True);

          procedure Update (Item   : in chars_ptr;
                            Offset : in size_t;
                            Str    : in String;
                            Check  : in Boolean := True);

          Update_Error : exception;

private

    -- not specified by the language
    Type chars_ptr is  new RTRT_Imp95.t_Interfaces_C_Strings_Chars_Ptr ;

    Null_Ptr : constant chars_ptr
      := chars_ptr(RTRT_Imp95.c_Interfaces_C_Strings_Null_Ptr);

end Interfaces.C.Strings;
--
--------------------------------------------------------------------------
