--------------------------------------------------------------------------------
-- Copyright (c) 2001-2002 Rational Software Corporation. All rights reserved.--
--                                                                            --
--                Product: Rational(R) Test RealTime                          --
--                                                                            --
--      Product Component: All                                                --
--                                                                            --
--               Language: Ada                                                --
--                                                                            --
--        Product version: 2002.05.03                                         --
--                                                                            --
-- Target Deployment Port: adagnat                                            --
--                         Ada95 Gnat                                         --
--                                                                            --
--                   File: interfaces-fortran.ads                             --
--                         Ada95 package: Interfaces.Fortran                  --
--                                                                            --
-- Rational, the Rational logo are registered trademarks of                   --
-- Rational Software Corporation.                                             --
--                                                                            --
-- The placing of the copyright notices on Rational source code is not        --
-- intended to mean that they are published works, but are included in the    --
-- event of inadvertent publication. The source code of Rational contains     --
-- trade secrets and other valuable confidential information of Rational      --
-- Software Corporation. Rational Software Corporation and its licensors      --
-- retain ownership to Rational Products in both source and object code       --
-- format, and related documentation and all rights therein including         --
-- copyrights, patents and trade secrets.                                     --
--                                                                            --
--                                                                            --
-- U.S. Government Rights                                                     --
--                                                                            --
-- Use, duplication, or disclosure by the U.S. Government is subject to       --
-- restrictions set forth in the applicable Rational License Agreement        --
-- and in DFARS 227.7202-1(a) and 227.7202-3(a) (1995), DFARS                 --
-- 252.227-7013(c)(1)(ii)(Oct 1988), FAR 12.212(a) 1995, FAR 52.227-19,       --
-- or FAR 52.227-14, as applicable.                                           --
--                                                                            --
-- Unless otherwise agreed to in writing, use of Rational products is         --
-- governed by the Rational Product License Agreement provided with           --
-- the product.                                                               --
--------------------------------------------------------------------------------

--------------------------------------------------------------------------
-- $Revision: 1.3 $
-- $Descr: Ada95 package: Interfaces.Fortran$
--------------------------------------------------------------------------
--
-- Ada95 Source Definition,
-- From LRM Ada95 B.5 - Interfacing With FORTRAN
-- Modified to handle Implementation Dependent Definitions
--
--------------------------------------------------------------------------
with RTRT_Imp95 ;

with Ada.Numerics.Generic_Complex_Types;  -- see G.1.1
pragma Elaborate_All(Ada.Numerics.Generic_Complex_Types);

package Interfaces.Fortran is

          pragma Pure(Fortran);

          type Fortran_Integer is 
                  range  RTRT_Imp95.t_Interfaces_Fortran_Fortran_Integer 'first.. RTRT_Imp95.t_Interfaces_Fortran_Fortran_Integer 'last;

          type Real             is 
                  digits RTRT_Imp95.t_Interfaces_Fortran_Real'digits ;
          type Double_Precision is 
                  digits RTRT_Imp95.t_Interfaces_Fortran_Double_Precision'digits ;

          type Logical is new Boolean;

          package Single_Precision_Complex_Types is
             new Ada.Numerics.Generic_Complex_Types (Real);

          type Complex is new Single_Precision_Complex_Types.Complex;

          subtype Imaginary is Single_Precision_Complex_Types.Imaginary;
          i : Imaginary renames Single_Precision_Complex_Types.i;
          j : Imaginary renames Single_Precision_Complex_Types.j;

          type Character_Set is new character 
                  range  RTRT_Imp95.t_Interfaces_Fortran_Character_Set 'first.. RTRT_Imp95.t_Interfaces_Fortran_Character_Set 'last;

          type Fortran_Character is array (Positive range <>) of Character_Set;
          pragma Pack (Fortran_Character);

          function To_Fortran (Item : in Character) return Character_Set;
          function To_Ada (Item : in Character_Set) return Character;

          function To_Fortran (Item : in String) return Fortran_Character;
          function To_Ada     (Item : in Fortran_Character) return String;

          procedure To_Fortran (Item       : in String;
                                Target     : out Fortran_Character;
                                Last       : out Natural);

          procedure To_Ada (Item     : in Fortran_Character;
                            Target   : out String;
                            Last     : out Natural);

end Interfaces.Fortran;
--
--------------------------------------------------------------------------
