--------------------------------------------------------------------------------
-- Copyright (c) 2001-2002 Rational Software Corporation. All rights reserved.--
--                                                                            --
--                Product: Rational(R) Test RealTime                          --
--                                                                            --
--      Product Component: All                                                --
--                                                                            --
--               Language: Ada                                                --
--                                                                            --
--        Product version: 2002.05.03                                         --
--                                                                            --
-- Target Deployment Port: adagnat                                            --
--                         Ada95 Gnat                                         --
--                                                                            --
--                   File: system-rpc.ads                                     --
--                         Ada95 package: System.RPC                          --
--                                                                            --
-- Rational, the Rational logo are registered trademarks of                   --
-- Rational Software Corporation.                                             --
--                                                                            --
-- The placing of the copyright notices on Rational source code is not        --
-- intended to mean that they are published works, but are included in the    --
-- event of inadvertent publication. The source code of Rational contains     --
-- trade secrets and other valuable confidential information of Rational      --
-- Software Corporation. Rational Software Corporation and its licensors      --
-- retain ownership to Rational Products in both source and object code       --
-- format, and related documentation and all rights therein including         --
-- copyrights, patents and trade secrets.                                     --
--                                                                            --
--                                                                            --
-- U.S. Government Rights                                                     --
--                                                                            --
-- Use, duplication, or disclosure by the U.S. Government is subject to       --
-- restrictions set forth in the applicable Rational License Agreement        --
-- and in DFARS 227.7202-1(a) and 227.7202-3(a) (1995), DFARS                 --
-- 252.227-7013(c)(1)(ii)(Oct 1988), FAR 12.212(a) 1995, FAR 52.227-19,       --
-- or FAR 52.227-14, as applicable.                                           --
--                                                                            --
-- Unless otherwise agreed to in writing, use of Rational products is         --
-- governed by the Rational Product License Agreement provided with           --
-- the product.                                                               --
--------------------------------------------------------------------------------

--------------------------------------------------------------------------
-- $Revision: 1.3 $
-- $Descr: Ada95 package: System.RPC$
--------------------------------------------------------------------------
--
-- Ada95 Source Definition,
-- From LRM Ada95 E.5 - Partition Communication System.
-- Modified to handle Implementation Dependent Definitions
--
--------------------------------------------------------------------------
with RTRT_Imp95 ;

with Ada.Streams; -- see 13.13.1
package System.RPC is

          type Partition_ID is range  RTRT_Imp95.t_System_RPC_Partition_ID 'first.. RTRT_Imp95.t_System_RPC_Partition_ID 'last;


          Communication_Error : exception;

          type Params_Stream_Type(
             Initial_Size : Ada.Streams.Stream_Element_Count) is new
             Ada.Streams.Root_Stream_Type with private;

          procedure Read(
             Stream : in out Params_Stream_Type;
             Item : out Ada.Streams.Stream_Element_Array;
             Last : out Ada.Streams.Stream_Element_Offset);

          procedure Write(
             Stream : in out Params_Stream_Type;
             Item : in Ada.Streams.Stream_Element_Array);

          -- Synchronous call
          procedure Do_RPC(
             Partition  : in Partition_ID;
             Params     : access Params_Stream_Type;
             Result     : access Params_Stream_Type);

          -- Asynchronous call
          procedure Do_APC(
             Partition  : in Partition_ID;
             Params     : access Params_Stream_Type);

          -- The handler for incoming RPCs
          type RPC_Receiver is access procedure(
             Params     : access Params_Stream_Type;
             Result     : access Params_Stream_Type);

          procedure Establish_RPC_Receiver(
             Partition : in Partition_ID;
             Receiver  : in RPC_Receiver);

private

     -- not specified by the language
     -- RT-RT configured Here.
     type Params_Stream_Type(
             Initial_Size : Ada.Streams.Stream_Element_Count) is new
             Ada.Streams.Root_Stream_Type
             with null record ;

end System.RPC;
--
--------------------------------------------------------------------------
